#!/usr/bin/perl -w
###########################################
# SCRIPT NAME : press.cgi
# DATE: Sep 2004
# VERSION: 1.0
# AUTHOR: Sarun Chinskul
# EMAIL: schinskul@crystalmckenzieinc.com
###########################################
use lib "/home/httpd/vhosts/cminyc.com/httpdocs/admin";
chdir "/home/httpd/vhosts/cminyc.com/httpdocs/";

use CGI;
use DBI;
use HTML::Template;
use cmiModule;
use strict;

########################
# Read Config.conf file
########################
my @info = &cmiModule::ReadConfig("config.conf");
########################
# Logfile config setup
########################
my %Log_Config;
   # Setting EasyLog is ON or OFF in config.conf file
   $Log_Config{SWITCH} = $info[0];
   $Log_Config{FILENAME} = $info[1];
   $Log_Config{MESSAGE} = "-------STARTED LOG [".$0."]-------";
   &cmiModule::EasyLog(\%Log_Config);
########################
# Database config setup
########################
my %DB;
   $DB{DATABASE} = $info[2];
   $DB{ACCOUNT}  = $info[3];
   $DB{PASSWORD} = $info[4];
my $dbh;
unless( $dbh = &cmiModule::ConnectToMySQL(\%DB) ) {
  $Log_Config{"MESSAGE"} = "Bad DBH from ConnectToMySQL.";
  &cmiModule::EasyLog(\%Log_Config);
  print "Content-type:text/html\n\n";
  print "<b>Bad DBH from ConnectToMySQL.</b>";
  exit;
}
###### End config ######

my $cgi = new CGI;

my %PRESSINFO;
   $PRESSINFO{press_template} = HTML::Template->new(filename => 'tmpl/press.tmpl');

&press(\%PRESSINFO);

1;

sub press {
    my ($params_hashref) = @_;
                                                                                                                             
    my %params_hash      = %{ $params_hashref };
    my $press_template = $params_hash{press_template};

    my $sql = "SELECT cmiContentText";
       $sql .= " From cmiContents";
       $sql .= " Where cmiContentType = 'gencontent'";
       $sql .= " And cmiContentTitle = 'Press releases'"; #Case sensitive
       $sql .= " And ContentSelect = 'yes'";
       $sql .= " And Active = '1'"; 
    my $press = $dbh->selectrow_array($sql);
   
    $Log_Config{MESSAGE} = "SQL : $sql\n";
    &cmiModule::EasyLog(\%Log_Config);

    $press_template->param(press => $press);

print "Content-type:text/html\n\n";
print $press_template->output;

}



